summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-02-25 00:03:28 +0000
committer Eric Hameleers <alien@slackware.com>2022-02-25 13:29:56 +0100
commita737ba20e244482cd1b3a6e828fed474dd0ef9c0 (patch)
tree9167cbbe49790944f9973cd6c4a602fb9951bf5d /patches
parent2858060a502f0a172fe9637656b005c2b704ead2 (diff)
downloadcurrent-a737ba20e244482cd1b3a6e828fed474dd0ef9c0.tar.gz
current-a737ba20e244482cd1b3a6e828fed474dd0ef9c0.tar.xz
Fri Feb 25 00:03:28 UTC 202220220225000328_15.0
patches/packages/cyrus-sasl-2.1.28-x86_64-1_slack15.0.txz: Upgraded. This update fixes bugs and security issues. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19906 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24407 (* Security fix *)
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/cyrus-sasl-2.1.28-x86_64-1_slack15.0.txt11
-rwxr-xr-xpatches/source/cyrus-sasl/cyrus-sasl.SlackBuild138
-rw-r--r--patches/source/cyrus-sasl/cyrus-sasl.url1
-rw-r--r--patches/source/cyrus-sasl/doinst.sh13
-rw-r--r--patches/source/cyrus-sasl/rc.saslauthd45
-rw-r--r--patches/source/cyrus-sasl/slack-desc19
6 files changed, 227 insertions, 0 deletions
diff --git a/patches/packages/cyrus-sasl-2.1.28-x86_64-1_slack15.0.txt b/patches/packages/cyrus-sasl-2.1.28-x86_64-1_slack15.0.txt
new file mode 100644
index 000000000..59a42e275
--- /dev/null
+++ b/patches/packages/cyrus-sasl-2.1.28-x86_64-1_slack15.0.txt
@@ -0,0 +1,11 @@
+cyrus-sasl: cyrus-sasl (Simple Authentication and Security Layer)
+cyrus-sasl:
+cyrus-sasl: This is the Cyrus SASL library. Cyrus SASL is used by mail programs
+cyrus-sasl: on the client or server side to provide authentication and
+cyrus-sasl: authorization services. See RFC 2222 for more information.
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
diff --git a/patches/source/cyrus-sasl/cyrus-sasl.SlackBuild b/patches/source/cyrus-sasl/cyrus-sasl.SlackBuild
new file mode 100755
index 000000000..67b131cc1
--- /dev/null
+++ b/patches/source/cyrus-sasl/cyrus-sasl.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2013, 2015, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=cyrus-sasl
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -f 3- -d - | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1_slack15.0}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-cyrus-sasl
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf cyrus-sasl-$VERSION
+tar xvf $CWD/cyrus-sasl-$VERSION.tar.?z* || exit 1
+cd cyrus-sasl-$(echo $VERSION | cut -f 1 -d -) || exit 1
+
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \+
+find . -perm 664 -exec chmod 644 {} \+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-plugindir=/usr/lib${LIBDIRSUFFIX}/sasl2 \
+ --with-configdir=/etc/sasl2 \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-login \
+ --enable-sql \
+ --disable-anon \
+ --with-ldap \
+ --without-pgsql \
+ --with-saslauthd \
+ --with-mysql=/usr \
+ --with-sqlite3=/usr \
+ --with-gdbm \
+ --with-devrandom=/dev/urandom \
+ --with-dblib=gdbm || exit 1
+
+# How stupid that I need to specify 'sasldir' again for 'make' or else you get
+# the warning "Plugins are being installed into /usr/lib/sasl2, but the library
+# will look for them in /usr/lib64/sasl2" and advised to create a symlink...
+make $NUMJOBS sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 || exit 1
+make $NUMJOBS sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/var/state/saslauthd
+mkdir -p $PKG/etc/rc.d
+mkdir -p $PKG/etc/sasl2
+
+zcat $CWD/rc.saslauthd.gz > $PKG/etc/rc.d/rc.saslauthd.new
+
+# Fix sloppy man page installation:
+rm -r $PKG/usr/man/cat8
+cat saslauthd/saslauthd.mdoc > $PKG/usr/man/man8/saslauthd.8
+gzip -9 $PKG/usr/man/man?/*.?
+
+# Add other documentation:
+mkdir -p $PKG/usr/doc/cyrus-sasl-$VERSION
+cp -a \
+ AUTHORS* COPYING* INSTALL* NEWS* README* \
+ saslauthd/LDAP_SASLAUTHD \
+ doc \
+ $PKG/usr/doc/cyrus-sasl-$VERSION
+find $PKG/usr/doc/cyrus-sasl-$VERSION -type f -exec chmod 644 {} \+
+rm -f $PKG/usr/doc/cyrus-sasl-$VERSION/doc/*Makefile*
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/cyrus-sasl-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
diff --git a/patches/source/cyrus-sasl/cyrus-sasl.url b/patches/source/cyrus-sasl/cyrus-sasl.url
new file mode 100644
index 000000000..870252ecb
--- /dev/null
+++ b/patches/source/cyrus-sasl/cyrus-sasl.url
@@ -0,0 +1 @@
+https://github.com/cyrusimap/cyrus-sasl/releases
diff --git a/patches/source/cyrus-sasl/doinst.sh b/patches/source/cyrus-sasl/doinst.sh
new file mode 100644
index 000000000..a2c1b471f
--- /dev/null
+++ b/patches/source/cyrus-sasl/doinst.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/rc.d/rc.saslauthd.new
diff --git a/patches/source/cyrus-sasl/rc.saslauthd b/patches/source/cyrus-sasl/rc.saslauthd
new file mode 100644
index 000000000..0e03710d5
--- /dev/null
+++ b/patches/source/cyrus-sasl/rc.saslauthd
@@ -0,0 +1,45 @@
+#!/bin/sh
+# rc.saslauthd: start/stop/restart saslauthd
+#
+# saslauthd is a daemon process that handles plaintext authentication
+# requests on behalf of the SASL library. The CMU Cyrus SASL library
+# is a general purpose authentication library for server and client
+# applications. It is mostly used to authenticate to mail servers.
+#
+# saslauthd should be started from the system boot scripts when going
+# to multi-user mode. When running against a protected authentication
+# database (e.g. the shadow mechanism), it must be run as the superuser.
+#
+
+saslauthd_start() {
+ # If saslauthd is not running, start it:
+ if [ ! -r /var/state/saslauthd/saslauthd.pid ]; then
+ # Use PAM authentication with credential caching:
+ echo "Starting SASL authentication daemon: /usr/sbin/saslauthd -a pam -c"
+ /usr/sbin/saslauthd -a pam -c
+ fi
+}
+
+saslauthd_stop() {
+ kill `cat /var/state/saslauthd/saslauthd.pid 2> /dev/null` 2> /dev/null
+ sleep 1
+}
+
+saslauthd_restart() {
+ saslauthd_stop
+ saslauthd_start
+}
+
+case "$1" in
+'start')
+ saslauthd_start
+ ;;
+'stop')
+ saslauthd_stop
+ ;;
+'restart')
+ saslauthd_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/patches/source/cyrus-sasl/slack-desc b/patches/source/cyrus-sasl/slack-desc
new file mode 100644
index 000000000..e714c71b6
--- /dev/null
+++ b/patches/source/cyrus-sasl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cyrus-sasl: cyrus-sasl (Simple Authentication and Security Layer)
+cyrus-sasl:
+cyrus-sasl: This is the Cyrus SASL library. Cyrus SASL is used by mail programs
+cyrus-sasl: on the client or server side to provide authentication and
+cyrus-sasl: authorization services. See RFC 2222 for more information.
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl:
+cyrus-sasl: